commit: 22a88c72c06705bc13f4c7c09881aba1ee1b4780
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 30 08:39:40 2022 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Fri Sep 30 10:48:10 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22a88c72
sci-calculators/hexcalc: force gcc -E for imake's generation
Requires traditional cpp support and is broken in all sort of ways
with clang-cpp / -E. Can still use clang & friends for everything else.
Ideally these packages need to be built another way or last rited,
imake will just accumulate more problems.
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
sci-calculators/hexcalc/hexcalc-1.11-r4.ebuild | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/sci-calculators/hexcalc/hexcalc-1.11-r4.ebuild
b/sci-calculators/hexcalc/hexcalc-1.11-r4.ebuild
index e3c78faf52ab..20e117cd6853 100644
--- a/sci-calculators/hexcalc/hexcalc-1.11-r4.ebuild
+++ b/sci-calculators/hexcalc/hexcalc-1.11-r4.ebuild
@@ -23,6 +23,7 @@ DEPEND="
x11-base/xorg-proto"
BDEPEND="
app-text/rman
+ sys-devel/gcc
>=x11-misc/imake-1.0.8-r1"
PATCHES=(
@@ -32,7 +33,7 @@ PATCHES=(
src_configure() {
CC="$(tc-getBUILD_CC)" LD="$(tc-getLD)" \
- IMAKECPP="${IMAKECPP:-$(tc-getCPP)}" xmkmf || die
+ IMAKECPP="${IMAKECPP:-${CHOST}-gcc -E}" xmkmf || die
}
src_compile() {